Bug 303401 - Last/first pages are duplexed together
Last/first pages are duplexed together
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
: Reopened
: 444873 (view as bug list)
Depends On: 303391
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 11:53 EDT by Tim Waugh
Modified: 2013-04-02 00:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:27:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2007-09-24 11:53:54 EDT
+++ This bug was initially created as a clone of Bug #303391 +++

Description of problem:
When printing multiple copies of a document in duplex mode, the last page can
get duplexed onto the first page of the next copy.

Version-Release number of selected component (if applicable):
2.20.0-1.fc8

How reproducible:
100%

Steps to Reproduce:
1.Create a three page document in OpenOffice.org Writer
2.Export to a PDF, call it test.pdf
3.Open PDF in Evince
4.File->Print...
5.Select a duplex-capable printer
6.Focus on the Page Setup tab
7.For Two-Sided select Long Edge (Standard)
8.Focus on the General tab
9.Select 2 copies
10.Make the 'Collate' check-box NOT selected -- note that this is not really
correct but works around bug #303371.
12.Click Print
  
Actual results:
Three sheets of paper end up in the output tray, 1-2 3-1 2-3

Expected results:
Four sheets of paper end up in the output tray, 1-2 3-blank 1-2 3-blank

Additional info:
This worked correctly in Fedora Core 6 with 0.6.0-6.fc6.
Comment 1 Zachary Napora 2008-04-24 01:57:52 EDT
Still a problem in the current rawhide I assume?
Comment 2 Tim Waugh 2008-04-30 12:18:17 EDT
Yes, still a problem in rawhide.  evince-2.22.1.1-1.fc9 still duplexes
last/first pages together.  However, it no longer gets the collate check-box
backwards, so the steps to reproduce the problem are now:

1.Create a three page document in OpenOffice.org Writer
2.Export to a PDF, call it test.pdf
3.Open PDF in Evince
4.File->Print...
5.Select a duplex-capable printer
6.Focus on the Page Setup tab
7.For Two-Sided select Long Edge (Standard)
8.Focus on the General tab
9.Select 2 copies
10.Make the 'Collate' check-box selected
11.Click Print
Comment 3 Tim Waugh 2008-05-02 09:33:34 EDT
*** Bug 444873 has been marked as a duplicate of this bug. ***
Comment 4 Rodd Clarkson 2008-05-03 04:38:05 EDT
I might be wrong about this, but I would think that this is something that
gnome-print or cups should be handling.

I'm assuming that evince is expected to add a final (even) page to the document
for each copy.

If cups (for example) was to have logic that says this is the last page of a
document (for this copy), I'm also duplexing and it's an odd page, so I need to
print a blank page.

Wouldn't this handle this sort of situation for all applications?  Is this possible?
Comment 5 Tim Waugh 2008-05-13 04:26:22 EDT
Evince should leave as much as possible to GTK+/cups and not try to be clever,
and *especially* not try to add blank pages to anything (it will always get this
wrong if it tries, due to n-up options and duplexing).

In this instance, evince is generating multiple copies *itself* (see
ev_job_print_run()), and then telling CUPS to duplex that; i.e. it is submitting
a job like "page 1, page 2, page 3, page 1, page 2, page 3" and CUPS cannot know
that there are two separate documents in that.

Rather than trying to generate blank pages to fill up to an even number, evince
should just do the simple thing: submit a job like "page 1, page 2, page 3" and
tell CUPS to print 2 copies of that, duplexed.  CUPS will do the clever stuff.

Kristian, any chance of actually fixing this long-standing bug?
Comment 6 Rodd Clarkson 2008-05-13 22:45:15 EDT
Tim, thanks for this information.  It's nice to know that things are set up as
they should be and the printing is handled by the printing bits.  Here's hoping
this helps with a few other bugs I've filed with regard to duplexing.

It seems that evince has a number of issues with printing at the moment, so I'll
be filing a few more bugs real soon now.
Comment 7 Bug Zapper 2008-05-13 23:16:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Tim Waugh 2008-05-14 05:46:14 EDT
(In reply to comment #6)
> Tim, thanks for this information.  It's nice to know that things are set up as
> they should be and the printing is handled by the printing bits.  Here's hoping
> this helps with a few other bugs I've filed with regard to duplexing.

Please add me to the CC for these.  Thanks.
Comment 9 Tim Waugh 2008-07-02 05:26:30 EDT
This is still a problem with evince-2.22.2-1.fc9.
Comment 10 Tim Waugh 2008-07-02 05:50:39 EDT
Same with evince-2.23.4-1.fc10.
Comment 11 Bug Zapper 2009-06-09 18:51:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 12:44:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Rodd Clarkson 2009-08-19 19:39:37 EDT
This is still a problem with evince-2.26.2-1.fc11.x86_64

I open a single page document and print 2 copies with duplexing on and I get a single page with the same page on both sides.
Comment 14 Rodd Clarkson 2009-08-19 19:40:15 EDT
Tim,

can you reopen this bug please.


R.
Comment 16 Bug Zapper 2010-04-27 07:46:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Rodd Clarkson 2010-04-28 23:00:05 EDT
As far as I'm aware this is no longer a problem and now works.

This bug could be closed!
Comment 18 Bug Zapper 2010-06-28 06:27:22 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.